<?php

App::uses('PluginInstallShell', 'shells');

class InstallShell extends PluginInstallShell
{
	public $uses = array(
		'EvNavigation.Menu'
	);

	/**
	 * call parent run() This will auto run any migrations
	 *
	 * Use the run() method here to insert any content
	 */
	public function run()
	{
		parent::run();

		$this->Menu->save(
			array(
				'Menu' => array(
					'parent' => 1,
					'name' => 'Site Settings',
					'url' => '/admin/ev_site_settings/site_settings',
					'pattern' => '/^\\/admin\\/ev_site_settings\\//',
					'class' => 'icon-cogs',
					'is_active' => 1
				)
			)
		);
		$this->Menu->moveUp($this->Menu->id, 1);

	}

}
